<template>
  <label><slot name="label"></slot></label>
  <select v-model="model">
    <slot name="options"></slot>
  </select>
</template>
<script>
export default {
  name: "AppSelect",
  props: {
    modelValue: {
      type: String,
      required: true,
    },
  },
  computed: {
    model: {
      get() {
        return this.modelValue;
      },
      set(val) {
        this.$emit("update:modelValue", val);
      },
    },
  },
};
</script>
<style>
select {
  border: 1px solid #dfe3e7;
  border-radius: 4px;
  max-width: 300px;
  width: 100%;
  padding: 13px 44px 13px 16px;
  outline: none;
  appearance: none;
  background-image: url(@/assets/icons/down.svg);
  background-repeat: no-repeat;
  background-position: top 50% right 17px;
}
</style>
